%define realname evolution-sharp

Summary: .Net language bindings for Evolution
Name: lib%realname
Version: 0.12.2
Release: alt1
Copyright: LGPL
Group: Development/Other
Source: %realname-%version.tar.bz2
URL: ftp://ftp.gnome.org/pub/gnome/sources/evolution-sharp/
Requires: mono >= 1.1.8

BuildRequires: evolution-data-server-devel gcc-c++ libgtk-sharp2-gapi libgtk-sharp2-devel  mono-mcs packages-info-i18n-common 
BuildRequires: zlib-devel
BuildRequires: /proc
BuildRequires:  mono-devel mono-mcs rpm-build-mono

%description
.Net language bindings for Evolution      

%package devel
Summary: Gtk\# development files.
Group: Development/Other
Requires: %name = %version-%release

%description devel
Evolution\# development files.

%prep
%setup -n %realname-%version

%build
%__autoreconf
%configure
%make

%install
# %%makeinstall

%make_install install DESTDIR=%buildroot

%__rm -f %buildroot%_libdir/*.{a,la}

%files
%doc README COPYING ChangeLog
%_monogacdir/*
%_monodir/evolution-sharp
%_libdir/*.so

%files devel
%_libdir/pkgconfig/*
%_datadir/gapi-2.0/*.xml

%changelog
* Mon Feb 26 2007 Alexey Shabalin <shaba@altlinux.ru> 0.12.2-alt1
- 0.12.2
- drop patch (in upstream)

* Thu Nov 23 2006 Alexey Shabalin <shaba@altlinux.ru> 0.12.0-alt1
- 0.12.0
- fix mono dir install (patch)
- fix dir in %%files
- add rpm-build-mono in BuildRequire
- update BuildRequire
- remove %%set_verify_elf_method unresolved=relaxed

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.10.2-alt2
- fix build for new evolution

* Tue Dec 20 2005 Vital Khilko <vk@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Thu Sep 01 2005 Vital Khilko <vk@altlinux.ru> 0.10-alt1
- initial build for Sisyphus 

